Bug 74851 - Window flipping removed from Sawfish
Window flipping removed from Sawfish
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: sawfish (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-02 04:24 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-02 04:25:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-02 04:24:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020916

Description of problem:
It seems like the RedHat mafia has removed the edge flipping feature from
Sawfish. Of all stupid things you have done in RH 8.0, this is the one which
annoyes me the most.

I can live with a dumb window manager as default. I can live with the removal of
viewports in Gnome 2. And I can live with Bluecurve making Gnome just as ugly
looking as KDE.

But when redhat decides that it is more important to make an version which is
easy to use for Windows lusers and hence removes all the advantages of linux
with regard to productivity, that makes me realize that the price I have to pay
for Gcc 3.2 is too high.

For the first time since I switched from Slackware 95 to redhat, I will start
looking for a better distribution.

-- 
Frank

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open the sawfish "workspace" configuration screen.
2. Enable edge flipping...
	

Actual Results:  Edge flipping is nowhere to be found.

Additional info:
Comment 1 Havoc Pennington 2002-10-02 09:30:03 EDT
We do not patch Sawfish in any way shape or form, it's provided as-downloaded
from sawfish.sourceforge.net. I believe there is some not-in-the-GUI way to 
enable the edge flipping, you might try a google search.
Comment 2 Philip Imants Long 2002-10-02 12:20:33 EDT
I really miss edge flipping myself - see the sawfish/metacity bug.  I don't care
which WM does it, of course.

Also am greatly missing the pull-down-active-applications on the top right menu
panel that ximian provides.

Please change from closed to wishlist.

Comment 3 Havoc Pennington 2002-10-02 13:06:05 EDT
We aren't going to add this feature ourselves, upstream developers may add it.
The wishlist bug belongs on bugzilla.gnome.org.

You can get the top-right menu by right-clicking a panel, New Panel->Menu Panel

Comment 4 Paul Kronenwetter 2002-10-02 16:24:55 EDT
OK, but where is development on sawfish actually being done?  The last update on
the sourceforge site calls out 1.0.1, not 2.0...  The file list also only points
to 1.0.1 or 1.0 or 0.?

Can someone point to a distribution point to sawfish 2.0 so that we may hack &
slash or was this retrieved from CVS?

Thanks!
Comment 5 Havoc Pennington 2002-10-02 16:29:34 EDT
I guess our tarballs are from ftp.gnome.org. The sawfish bug tracker is 
http://bugzilla.gnome.org.
Comment 6 Rodary Jacques 2002-10-20 16:54:32 EDT
J'approuve totalement Franck (pour la premihre fois je ridige en frangais : si
par hasard vous utilisez vous-mjmes rh 8.0, vous constaterez vous-emes ` quelle
point votre dernihre version est nulle : voir les bugs ` propos de kbd). J'ai
installi, ` grand peine, Slackware sur six postes 486 de 450 MB, en parallhle
avec Netware 3.12 sur un serveur d'un GB, avec NIS pour l'authentification d'une
vingtaine d'itudiants. Je suis passi, avec plaisir, ` Redhat 5.0 en 1998 pour
ces six postes ` l'universiti et chez moi. Je vous ai suivi, toujours avec
plaisir, jusqu'` RedHat 7.3, y compris avec le jonglage pour les versions de
Gnome pri-1.0 et 1.0. Mais aujourd'hui, je ne peux plus vous suivre : passe
encore d'avoir les problhmes avec kbd, sawfish et metacity dij` dicris dans
plusieurs rapports de bug. Mais je ne peux accepter de voir les config perso
(user customization) purement et simplement supprimies. J'ai donc, ` regret,
restauri ma sauvegarde de RedHat 7.3, et j'itudie sur l'un des 11 postes que je
ghre maintenant, la possibiliti de passer ` Debian : ils sont nettement moins
conviviaux, mais beaucoup plus respectueux des choix individuels.
Comment 7 Rodary Jacques 2002-10-20 17:02:12 EDT
I couldn't believe the demonstration would be so crual for you. I can only hope
you will understand my message! Localization used to be much better, as many
other issues.

Note You need to log in before you can comment on or make changes to this bug.